<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE qml SYSTEM "/wt/query/qml/qml.dtd">
<qml bypassAccessControl="false">
	<parameter name="Context Name" type="java.lang.Object"/>
	<parameter name="Checked Out by Username" type="java.lang.Object"/>
	<statement>
		<query>
			<select distinct="false" group="false">
				<object alias="Part (wt.part.WTPart)" heading="Checked Out By" propertyName="locker.fullName">
					<property name="locker">
						<property name="fullName"/>
					</property>
				</object>
				<column alias="Context" heading="Context Name (name)" isExternal="false" propertyName="name" selectOnly="false" type="java.lang.String">
					containerInfo.name
				</column>
				<object alias="Part (wt.part.WTPart)" heading="Part (wt.part.WTPart)" propertyName=""/>
				<object alias="Part (wt.part.WTPart)" heading="Lock" propertyName="locked">
					<property name="locked"/>
				</object>
				<column alias="Part (wt.part.WTPart)" heading="Status.State" isExternal="false" propertyName="checkoutInfo.state" selectOnly="false" type="wt.vc.wip.WorkInProgressState">
					checkoutInfo.state
				</column>
				<column alias="CheckedOutBy" heading="Id" isExternal="false" propertyName="persistInfo.objectIdentifier.id" selectOnly="false" type="long">
					thePersistInfo.theObjectIdentifier.id
				</column>
				<column alias="Part (wt.part.WTPart)" heading="Lock Date" isExternal="false" propertyName="lockDate" selectOnly="false" type="java.sql.Timestamp">
					lock.date
				</column>
			</select>
			<from>
				<table alias="Part (wt.part.WTPart)" isExternal="false">
					wt.part.WTPart
				</table>
				<table alias="Context" isExternal="false">
					wt.inf.container.WTContainer
				</table>
				<table alias="CheckedOutBy" isExternal="false">
					wt.org.WTUser
				</table>
			</from>
			<where>
				<compositeCondition type="and">
					<condition>
						<operand>
							<column alias="Part (wt.part.WTPart)" heading="Status.State" isExternal="false" propertyName="checkoutInfo.state" selectOnly="false" type="wt.vc.wip.WorkInProgressState">
								checkoutInfo.state
							</column>
						</operand>
						<operator type="equal"/>
						<operand>
							<constant heading="c/o" isMacro="false" type="wt.vc.wip.WorkInProgressState">
								c/o
							</constant>
						</operand>
					</condition>
					<condition>
						<operand>
							<column alias="CheckedOutBy" heading="Name" isExternal="false" propertyName="name" selectOnly="false" type="java.lang.String">
								name
							</column>
						</operand>
						<operator type="like"/>
						<operand>
							<parameterTarget name="Checked Out by Username"/>
						</operand>
					</condition>
					<condition>
						<operand>
							<column alias="Context" heading="Context Name (name)" isExternal="false" propertyName="name" selectOnly="false" type="java.lang.String">
								containerInfo.name
							</column>
						</operand>
						<operator type="like"/>
						<operand>
							<parameterTarget name="Context Name"/>
						</operand>
					</condition>
				</compositeCondition>
			</where>
			<orderBy>
				<orderByItem type="asc">
					<columnTarget heading="Id"/>
				</orderByItem>
				<orderByItem type="asc">
					<columnTarget heading="Context Name (name)"/>
				</orderByItem>
			</orderBy>
			<referenceJoin>
				<join name="containerReference">
					<aliasTarget alias="Part (wt.part.WTPart)"/>
					<aliasTarget alias="Context"/>
				</join>
				<join name="locker">
					<aliasTarget alias="Part (wt.part.WTPart)"/>
					<aliasTarget alias="CheckedOutBy"/>
				</join>
			</referenceJoin>
		</query>
	</statement>
</qml>
